﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace pr187_1
{
    delegate string Alpha();

    class Program
    {
        static void Main()
        {
            // Создание экземпляра делегата:
            Alpha show;
            // Номер дня недели
            int nom = -1;
            // Анонимный метод:
            show = delegate()
            {
                // Перечень дней недели:
                string[] Days = new string[] { "Понедельник", "Вторник", "Среда", "Четверг", 
                    "Пятница", "Суббота", "Воскресенье" };
                return Days[++nom % 7];
            };
            // Вывод названия дня недели:
            for (int i = 1; i < 12; i++)
            {
                Console.WriteLine("{0}-й день: {1}", i, show());
            }
            // Задержка:
            Console.ReadLine();
        }
    }
}
